com.avaya.deskphoneservices

## Class Log

- java.lang.Object
- - com.avaya.deskphoneservices.Log

-     public final class Log
      extends java.lang.Object

  Provides internal logging for the Deskphone Services library.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `d(java.lang.String msg)`
    `static void` | `d(java.lang.String msg, java.lang.Throwable throwable)`
    `static void` | `e(java.lang.String msg)`
    `static void` | `e(java.lang.String msg, java.lang.Throwable throwable)`
    `static com.avaya.clientservices.client.Client.LogLevel` | `getLogLevel()`
    `static com.avaya.clientservices.client.Client.LogListener` | `getLogListener()`
    `static void` | `i(java.lang.String msg)`
    `static void` | `i(java.lang.String msg, java.lang.Throwable throwable)`
    `static void` | `setLogLevel(com.avaya.clientservices.client.Client.LogLevel level)`
    `static void` | `setLogListener(com.avaya.clientservices.client.Client.LogListener listener)`
    `static void` | `w(java.lang.String msg)`
    `static void` | `w(java.lang.String msg, java.lang.Throwable throwable)`
    `static void` | `writeMessage(com.avaya.clientservices.client.Client.LogLevel level, java.lang.String msg)`
    `static void` | `writeMessage(com.avaya.clientservices.client.Client.LogLevel level, java.lang.String msg, java.lang.Throwable throwable)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getLogListener

          @NonNull
          public static com.avaya.clientservices.client.Client.LogListener getLogListener()

    - #### setLogListener

          public static void setLogListener(@Nullable
                                            com.avaya.clientservices.client.Client.LogListener listener)

    - #### getLogLevel

          @NonNull
          public static com.avaya.clientservices.client.Client.LogLevel getLogLevel()

    - #### setLogLevel

          public static void setLogLevel(@NonNull
                                         com.avaya.clientservices.client.Client.LogLevel level)

    - #### e

          public static void e(@NonNull
                               java.lang.String msg)

    - #### e

          public static void e(@NonNull
                               java.lang.String msg,
                               @NonNull
                               java.lang.Throwable throwable)

    - #### w

          public static void w(@NonNull
                               java.lang.String msg)

    - #### w

          public static void w(@NonNull
                               java.lang.String msg,
                               @NonNull
                               java.lang.Throwable throwable)

    - #### i

          public static void i(@NonNull
                               java.lang.String msg)

    - #### i

          public static void i(@NonNull
                               java.lang.String msg,
                               @NonNull
                               java.lang.Throwable throwable)

    - #### d

          public static void d(@NonNull
                               java.lang.String msg)

    - #### d

          public static void d(@NonNull
                               java.lang.String msg,
                               @NonNull
                               java.lang.Throwable throwable)

    - #### writeMessage

          public static void writeMessage(@NonNull
                                          com.avaya.clientservices.client.Client.LogLevel level,
                                          @NonNull
                                          java.lang.String msg,
                                          @Nullable
                                          java.lang.Throwable throwable)

    - #### writeMessage

          public static void writeMessage(@NonNull
                                          com.avaya.clientservices.client.Client.LogLevel level,
                                          @NonNull
                                          java.lang.String msg)